Gentoo Archives: gentoo-commits

From: Lars Wendler <polynomial-c@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/gsoap/
Date: Mon, 31 Jul 2017 14:23:35
Message-Id: 1501511006.d45e0c2a1c5d061d1a5bb44394919ac1f7e5158b.polynomial-c@gentoo
commit:     d45e0c2a1c5d061d1a5bb44394919ac1f7e5158b
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 31 14:20:12 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 14:23:26 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d45e0c2a

net-libs/gsoap: Bump to version 2.8.51

Package-Manager: Portage-2.3.6, Repoman-2.3.3
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 net-libs/gsoap/Manifest            |  1 +
 net-libs/gsoap/gsoap-2.8.51.ebuild | 82 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/net-libs/gsoap/Manifest b/net-libs/gsoap/Manifest
index bde1544b405..829ca464e1f 100644
--- a/net-libs/gsoap/Manifest
+++ b/net-libs/gsoap/Manifest
@@ -1,3 +1,4 @@
 DIST gsoap_2.8.40.zip 36317175 SHA256 54ef56d9c55a6a7a00ae57f8cb0b3266af1b26e623070be2ef20833626157f77 SHA512 fc26899e780a7d797544f21aa7beaabc6c1507b7097c4a229a641e4be763733a40e96ce0d5181024eae19653de9513a5b35d51c8b12e85078423e30d0b898a6f WHIRLPOOL 6f795590a5b1e36d796200e3669b3a2aa45c016aa3acaae6291c09543422530a12e977a159a2f892b328cd7813633f41966432e75fd36268bfe4c6d9d1bb6fbf
 DIST gsoap_2.8.49.zip 34679651 SHA256 520909edb975ec7fc63aa1b404993a79c1b8f6a0d80bca588c03cfa5fec12410 SHA512 0e576584aa7743365edac9165eadf233fedf08cbbe70224676f9ce88bc42ae3ace13c75c78f9864f234e406c6e58f1fcdee0a9391215f76f086422ef0ac86ea0 WHIRLPOOL e2fa93454d93f6942fd12370d00aaaad110b58cdce68a7adecffba247bc8b89da2ad0fb8074c0da8b873499af1b8f398f19ffafddf26a8e6d0704028518307b3
 DIST gsoap_2.8.50.zip 34688187 SHA256 d1225f297963d1336ffaa7557990a2a0c8c7700774baa107ecb5467bfc0a265a SHA512 45bbff06083971152054571749fc7dc84962ace550154399590d8b697f0cf702c1614cbfb9f9cd23bc87b3812817abfdcaa6fc210c5daa5e8197493ce0e52a72 WHIRLPOOL f56d19091bdc69cf89a4c11183d946f3b26cc83d132387c9a0771821427e42ed6dc01eaefac15bd9d5f56f126948275bff3fd0b5eb39aa4b462227d041d57c7d
+DIST gsoap_2.8.51.zip 34505931 SHA256 3e7bb24a9e492f5cb86daca34054c9787152f1d7b70add36b789d03816d5ffa1 SHA512 491e31ce6be02c577b6184335672a0805e2287418a7e26d9b0f009aab8af462ddef7d7a1893dc867db5362c5f2a1e0022d0a45865d81e43286ce16c649da6910 WHIRLPOOL 78bf9dd3c20e3a7683e20de263c1f608e69039ae505533dc7695dd1b0031d222ea99ca3991e8b046af66943215a7ce4c4db3a0efafc6933d74907dda71815d05

diff --git a/net-libs/gsoap/gsoap-2.8.51.ebuild b/net-libs/gsoap/gsoap-2.8.51.ebuild
new file mode 100644
index 00000000000..aef077767cc
--- /dev/null
+++ b/net-libs/gsoap/gsoap-2.8.51.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools eutils
+
+MY_P="${PN}-2.8"
+
+DESCRIPTION="A cross-platform open source C and C++ SDK for SOAP/XML Web services"
+HOMEPAGE="http://gsoap2.sourceforge.net"
+SRC_URI="mirror://sourceforge/gsoap2/gsoap_${PV}.zip"
+
+LICENSE="GPL-2 gSOAP"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc debug examples ipv6 libressl gnutls +ssl"
+
+RDEPEND="
+	sys-libs/zlib
+	gnutls? ( net-libs/gnutls )
+	ssl? (
+		!libressl? ( dev-libs/openssl:0= )
+		libressl? ( dev-libs/libressl )
+	)
+"
+DEPEND="${RDEPEND}
+	app-arch/unzip
+	sys-devel/flex
+	sys-devel/bison
+"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+	default
+
+	# Fix Pre-ISO headers
+	eapply "${FILESDIR}/${PN}-2.7.10-fedora-install_soapcpp2_wsdl2h_aux.patch"
+
+	# enable shared libs https://bugs.gentoo.org/583398
+	eapply "${FILESDIR}/${PN}-2.7.40-shared_libs.patch"
+
+	eautoreconf
+}
+
+src_configure() {
+	local myconf=()
+	use ssl || myconf+=( --disable-ssl )
+	use gnutls && myconf+=( --enable-gnutls )
+	use ipv6 && myconf+=( --enable-ipv6 )
+	econf \
+		${myconf[@]} \
+		$(use_enable debug) \
+		$(use_enable examples samples)
+}
+
+src_compile() {
+	emake -j1
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	# yes, we also install the license-file since
+	# it contains info about how to apply the licenses
+	dodoc *.txt
+
+	dohtml changelog.md
+
+	prune_libtool_files --all
+
+	if use examples; then
+		rm -rf gsoap/samples/Makefile* gsoap/samples/*/Makefile* gsoap/samples/*/*.o || die
+		insinto /usr/share/doc/${PF}/examples
+		doins -r gsoap/samples/*
+	fi
+
+	if use doc; then
+		dohtml -r gsoap/doc/*
+	fi
+}